Skip to main content
POST
/
v1
/
agents
/
{agentId}
/
audio-cache
/
{entryId}
/
synthesize
Synthesize audio preview
curl --request POST \
  --url https://api.us.poly.ai/v1/agents/{agentId}/audio-cache/{entryId}/synthesize \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "text": "<string>",
  "config": {
    "stability": 123,
    "similarityBoost": 123,
    "speed": 123,
    "modelId": "<string>",
    "engine": "<string>",
    "emotion": "<string>",
    "volume": 123,
    "version": "<string>",
    "voiceDescription": "<string>",
    "instantMode": true
  },
  "language": "<string>"
}
'
"<string>"

Authorizations

X-API-KEY
string
header
required

Path Parameters

agentId
string
required
entryId
string
required

Audio cache entry ID

Body

application/json
text
string
required

Text to synthesize

config
object
required

Provider-specific voice tuning settings. All fields are optional — each TTS provider uses a different subset.

language
string

BCP-47 language tag, e.g. 'en-US'

Response

Synthesized audio

The response is of type file.

Last modified on June 10, 2026